| Home | Libraries | People | FAQ | More

## Struct template logical_not

boost::proto::logical_not — A metafunction for generating logical_not expression types, a grammar element for matching logical_not expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    template<typename T>
    struct logical_not :  proto::transform< logical_not<T> > {
      // types
      typedef proto::expr< proto::tag::logical_not, proto::list1< T > > type;
      typedef type                                                      proto_base_expr;
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<logical_not>::template impl<Expr, State, Data>
      {
      };
    };

## Description